<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [IndustryData](./bitburner.industrydata.md)

## IndustryData interface

Corporation industry information

**Signature:**

```typescript
interface IndustryData 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [cost](./bitburner.industrydata.cost.md) |  | number | Cost to make a new division of this industry type |
|  [makesMaterials](./bitburner.industrydata.makesmaterials.md) |  | boolean | Whether the division makes materials |
|  [makesProducts](./bitburner.industrydata.makesproducts.md) |  | boolean | Whether the division makes products |
|  [producedMaterials?](./bitburner.industrydata.producedmaterials.md) |  | string\[\] | _(Optional)_ Materials produced |
|  [productType?](./bitburner.industrydata.producttype.md) |  | string | _(Optional)_ Product type |
|  [requiredMaterials](./bitburner.industrydata.requiredmaterials.md) |  | Record&lt;string, number&gt; | Materials required for production and their amounts |
|  [type](./bitburner.industrydata.type.md) |  | [CorpIndustryName](./bitburner.corpindustryname.md) | Industry type |

